<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


/* Getting skin color */
$skincolor = themetechmount_get_option('skincolor');

/* Dark BG color */
$secondarycolor = themetechmount_get_option('secondarycolor');

/* Grey BG color */
$secondarygreycolor = themetechmount_get_option('secondary-greycolor');

/* Blackish Button Color */
$blackish_buttoncolor = themetechmount_get_option('blackish_buttoncolor');

$topbar_text_fontsize		= themetechmount_get_option('topbar_text_fontsize');
$button_topbottom_padding	= themetechmount_get_option('button_topbottom_padding');
$medium_button_fontsize		= themetechmount_get_option('medium_button_fontsize');
$special_element_font  = themetechmount_get_option('element_title');
$special_element_fontfamily   = $special_element_font['family'];
$special_element_fontweight   = $special_element_font['variant'];
$button_font = themetechmount_get_option('button_font');
$button_font_fontweight = $button_font['variant'];
$general_font = themetechmount_get_option('general_font');
$h4_heading_font = themetechmount_get_option('h4_heading_font');
$h4_heading_font_fontweight   = $h4_heading_font['variant'];

if( $h4_heading_font_fontweight == 'regular' ){
	$h4_heading_font_fontweight  = '400';
}
if( $button_font_fontweight == 'regular' ){
	$button_font_fontweight  = '400';
}

$general_font = themetechmount_get_option('general_font');

$blog_readmore_shape = themetechmount_get_option('blog_readmore_shape');
if( $blog_readmore_shape =='round'){
	$global_button_shape = '2em';
}
else if($blog_readmore_shape =='rounded') {
	$global_button_shape = '3px';
}
else {
	$global_button_shape = '0px';
}

/*
 *  Set skin color set for this page only.
 */
if( isset($_GET['color']) && trim($_GET['color'])!='' ){
	$skincolor = '#'.trim($_GET['color']);
}

?>


.themetechmount-iconbox-stylefive .tm-icon a:hover:after,
.tm-ptablebox .tm-sbox-icon-wrapper,
.tm-ptablebox .themetechmount-ptable-main,
.themetechmount-box-team:not(.themetechmount-teambox-view-style4) .tm-team-social-links-wrapper,
.tm-search-overlay,
.tooltip:after, [data-tooltip]:after,
.wpb-js-composer .vc_tta-color-skincolor.vc_tta-style-classic .vc_tta-panel-title>a, .wpb-js-composer .vc_tta-color-skincolor.vc_tta-style-classic .vc_tta-tab>a,
.post.themetechmount-box-blog-classic .themetechmount-blogbox-footer-readmore a,
#totop:hover,
.single-tm_team_member .tm-team-social-links-wrapper ul li a,
.themetechmount-box-team .tm-team-social-links-wrapper,
.slick-arrow-style1 .slick-dots li:not(.slick-active) button,
.tm-vc_btn3.tm-vc_btn3-color-black.tm-vc_btn3-style-outline.active,
.tm-vc_btn3.tm-vc_btn3-color-black.tm-vc_btn3-style-outline:active,
 .tm-vc_btn3.tm-vc_btn3-color-black.tm-vc_btn3-style-outline:focus,
 .tm-vc_btn3.tm-vc_btn3-color-black.tm-vc_btn3-style-outline:hover,
.vc_progress_bar.vc_progress-bar-color-bar_black .vc_single_bar .vc_bar,
.tm-col-bgcolor-darkgrey .tm-bg-layer-inner, .site-header-menu.tm-sticky-bgcolor-darkgrey.is_stuck, .tm-bgcolor-darkgrey, .tm-header-style-infostack .site-header .tm-stickable-header.is_stuck.tm-sticky-bgcolor-darkgrey, .tm-header-style-infostack .site-header-menu .is_stuck .tm-sticky-bgcolor-darkgrey, .tm-titlebar-wrapper.tm-breadcrumb-on-bottom.tm-breadcrumb-bgcolor-darkgrey .tm-titlebar .breadcrumb-wrapper .container, .tm-titlebar-wrapper.tm-breadcrumb-on-bottom.tm-breadcrumb-bgcolor-darkgrey .breadcrumb-wrapper .container:before, .tm-titlebar-wrapper.tm-breadcrumb-on-bottom.tm-breadcrumb-bgcolor-darkgrey .breadcrumb-wrapper .container:after,
.tm-bg.tm-bgcolor-darkgrey .tm-bg-layer {
   background-color: <?php echo esc_attr($secondarycolor); ?>;
}
.tm-sbox-style3 .tm-sbox:hover .tm-vc_general.tm-vc_cta3 a.tm-vc_general.tm-vc_btn3:hover {
	 background-color: <?php echo esc_attr($secondarycolor); ?> !important;
}

.wpb-js-composer .vc_tta-color-black.vc_tta-style-classic .vc_tta-tab>a:focus, .wpb-js-composer .vc_tta-color-black.vc_tta-style-classic .vc_tta-tab>a:hover,
.themetechmount-teambox-view-overlay .themetechmount-overlay, .themetechmount-box-team.themetechmount-box-view-topimage-bottomcontent .themetechmount-overlay {
	background-color:rgba( <?php echo themetechmount_hex2rgb($secondarycolor); ?> , 0.90);
}
.themetechmount-box-portfolio .themetechmount-overlay {
	background-color:rgba( <?php echo themetechmount_hex2rgb($secondarycolor); ?> , 0.85);
}

.wpb-js-composer .vc_tta-color-black.vc_tta-style-classic .vc_tta-tab>a,
.wpb-js-composer .vc_tta-color-skincolor.vc_tta-style-classic .vc_tta-panel-title>a, .wpb-js-composer .vc_tta-color-skincolor.vc_tta-style-classic .vc_tta-tab>a,
.tm-vc_btn3.tm-vc_btn3-color-black.tm-vc_btn3-style-outline.active,
.tm-vc_btn3.tm-vc_btn3-color-black.tm-vc_btn3-style-outline:active,
 .tm-vc_btn3.tm-vc_btn3-color-black.tm-vc_btn3-style-outline:focus,
 .tm-vc_btn3.tm-vc_btn3-color-black.tm-vc_btn3-style-outline:hover,
.comment-list a.comment-reply-link {
	border-color: <?php echo esc_attr($secondarycolor); ?>;
}

.tooltip-top:before, .tooltip:before, [data-tooltip]:before {
	border-top-color:<?php echo esc_attr($secondarycolor); ?>;
}

.wpb-js-composer .vc_tta-color-black.vc_tta-style-classic .vc_tta-tab>a,
.twentytwenty-handle, .site-header.tm-sticky-bgcolor-darkgrey.is_stuck, .tm-header-overlay .site-header.tm-sticky-bgcolor-darkgrey.is_stuck, .site-header-menu.tm-sticky-bgcolor-darkgrey.is_stuck, .tm-titlebar-wrapper.tm-breadcrumb-on-bottom.tm-breadcrumb-bgcolor-darkgrey .tm-titlebar .breadcrumb-wrapper .container, .tm-titlebar-wrapper.tm-breadcrumb-on-bottom.tm-breadcrumb-bgcolor-darkgrey .breadcrumb-wrapper .container:before, .tm-titlebar-wrapper.tm-breadcrumb-on-bottom.tm-breadcrumb-bgcolor-darkgrey .breadcrumb-wrapper .container:after, .tm-header-style-infostack .site-header .tm-stickable-header.is_stuck.tm-sticky-bgcolor-darkgrey, .tm-header-style-infostack .site-header-menu .is_stuck .tm-sticky-bgcolor-darkgrey, .tm-header-style-infostack .is_stuck.tm-sticky-bgcolor-darkgrey, .tm-header-style-infostack .tm-bgcolor-darkgrey, .themetechmount-topbar-wrapper.tm-bgcolor-darkgrey{
	 background-color: <?php echo esc_attr($secondarycolor); ?>;
}


.tm-make-appoint-form2 .select2-container--default .select2-selection--single .select2-selection__rendered, .tm-make-appoint-form2 textarea, .tm-make-appoint-form2 input[type="text"], .tm-make-appoint-form2 input[type="datetime"], .tm-make-appoint-form2 input[type="date"], .tm-make-appoint-form2 input[type="number"], .tm-make-appoint-form2 input[type="email"], .tm-make-appoint-form2 input[type="url"], .tm-make-appoint-form2 input[type="tel"], .tm-make-appoint-form2 select,
.themetechmount-sidebar-true:not(.tm-empty-sidebar).themetechmount-sidebar-right .site-content-inner:before, .themetechmount-sidebar-true:not(.tm-empty-sidebar).themetechmount-sidebar-left .site-content-inner:before,
.tm-col-bgcolor-grey .tm-bg-layer-inner, .tm-bgcolor-grey, 
.site-header.tm-sticky-bgcolor-grey.is_stuck,
.site-header-menu.tm-sticky-bgcolor-grey.is_stuck, 
.tm-header-overlay .site-header.tm-sticky-bgcolor-grey.is_stuck,
.tm-header-style-infostack .site-header .tm-stickable-header.is_stuck.tm-sticky-bgcolor-grey,
.tm-header-style-infostack .site-header-menu .is_stuck .tm-sticky-bgcolor-grey,
.tm-titlebar-wrapper.tm-breadcrumb-on-bottom.tm-breadcrumb-bgcolor-grey .tm-titlebar .breadcrumb-wrapper .container,
.tm-titlebar-wrapper.tm-breadcrumb-on-bottom.tm-breadcrumb-bgcolor-grey .breadcrumb-wrapper .container:before, .tm-titlebar-wrapper.tm-breadcrumb-on-bottom.tm-breadcrumb-bgcolor-grey .breadcrumb-wrapper .container:after,
.tm-vc_icon_element.tm-vc_icon_element-outer .tm-vc_icon_element-inner.tm-vc_icon_element-background-color-grey.tm-vc_icon_element-background{
    background-color:<?php echo esc_attr($secondarygreycolor); ?>;
}

.elementor-element.tm-highlight-fid h4,
.themetechmount-boxes-testimonial .themetechmount-author-name,
.tm-vc_general.tm-vc_btn3.tm-vc_btn3-style-text.tm-vc_btn3-color-black,
.tm-vc_btn3.tm-vc_btn3-color-white.tm-vc_btn3-style-outline.active, .tm-vc_btn3.tm-vc_btn3-color-white.tm-vc_btn3-style-outline:active, .tm-vc_btn3.tm-vc_btn3-color-white.tm-vc_btn3-style-outline:focus, .tm-vc_btn3.tm-vc_btn3-color-white.tm-vc_btn3-style-outline:hover {
	color:<?php echo esc_attr($blackish_buttoncolor); ?>;	
}

.tm-sortable-list .tm-sortable-link a,
.wpb-js-composer .vc_tta-color-grey.vc_tta-style-classic .vc_tta-controls-icon:after, .wpb-js-composer .vc_tta-color-grey.vc_tta-style-classic .vc_tta-controls-icon:before,
.tm-vc_btn3.tm-vc_btn3-color-black.tm-vc_btn3-style-outline {
	border-color:<?php echo esc_attr($blackish_buttoncolor); ?>;		
}

.single-tm_portfolio .nav-next a:hover, .single-tm_portfolio .nav-previous a:hover,
.tm-vc_btn3.tm-vc_btn3-color-black, .tm-vc_btn3.tm-vc_btn3-color-black.tm-vc_btn3-style-flat,
button, input[type="submit"], input[type="button"], input[type="reset"], .checkout_coupon input.button, .woocommerce div.product form.cart .button:hover, table.compare-list .add-to-cart td a:hover, .woocommerce .widget_shopping_cart a.button:hover, .woocommerce #review_form #respond .form-submit input:hover, .main-holder .site table.cart .coupon input:hover, .woocommerce-cart .wc-proceed-to-checkout a.checkout-button:hover, .woocommerce-cart #content table.cart td.actions input[type="submit"]:hover, .woocommerce #payment #place_order:hover, .woocommerce .wishlist_table td.product-add-to-cart a:hover, .woocommerce-cart #content table.cart td.actions input[type="submit"], #tribe-bar-form .tribe-bar-submit input[type=submit], .wishlist_table tr td a.yith-wcqv-button:hover, .woocommerce .wishlist_table td.product-add-to-cart a:hover, .woocommerce .widget_shopping_cart a.button.checkout:hover, .tm-sresults-title small .label-default[href]:hover, .woocommerce .widget_price_filter .price_slider_amount .button, .woocommerce .widget_shopping_cart a.button, .woocommerce #payment #place_order, .woocommerce-cart .wc-proceed-to-checkout a.checkout-button, .main-holder .site table.cart .coupon input, .main-holder .site-content #review_form #respond .form-submit input, .woocommerce div.product form.cart .button, table.compare-list .add-to-cart td a, .main-holder .site table.cart .coupon button, .main-holder .site .woocommerce-cart-form__contents button, .main-holder .site .return-to-shop a.button, .main-holder .site .woocommerce-MyAccount-content a.woocommerce-Button, .main-holder .site .woocommerce-form-coupon button, .main-holder .site .woocommerce-form-login button.woocommerce-Button, .main-holder .site .woocommerce-ResetPassword button.woocommerce-Button, .main-holder .site .woocommerce-EditAccountForm button.woocommerce-Button, .tm-vc_general.tm-vc_btn3.tm-vc_btn3-color-skincolor:hover, .tm-vc_general.tm-vc_btn3.tm-vc_btn3-style-3d.tm-vc_btn3-color-skincolor:hover, .comment-list a.comment-reply-link:hover, .themetechmount-box-events .event-box-content .themetechmount-eventbox-footer a:hover, .tm-ptablebox-featured-col .tm-ptablebox .tm-vc_btn3.tm-vc_btn3-color-black.tm-vc_btn3-style-outline:hover, .tm-make-appoint-form2 input[type="submit"]:hover, .widget_subscribe_form input[type="submit"]:hover, .mailchimp-inputbox input[type="submit"]:hover {
	background-color:<?php echo esc_attr($blackish_buttoncolor); ?>;
}

.themetechmount-iconbox .tm-vc_general.tm-vc_cta3.tm-vc_cta3-style-classic:not(.tm-vc_cta3-color-classic) .tm-vc_cta3-content-header h2,
.themetechmount-iconbox-styletwo .tm-cta3-only.tm-vc_general.tm-vc_cta3 h2,
.themetechmount-iconbox-stylethree .tm-cta3-only.tm-vc_general.tm-vc_cta3 h2,
.tm-col-bgcolor-grey .themetechmount-iconbox-styleseven .tm-vc_general.tm-vc_btn3.tm-vc_btn3-style-text.tm-vc_btn3-color-black:hover,
.tm-col-bgcolor-skincolor .themetechmount-iconbox-styleseven .tm-vc_general.tm-vc_btn3.tm-vc_btn3-style-text.tm-vc_btn3-color-black:hover,
.tm-col-bgcolor-white .themetechmount-iconbox-styleseven .tm-vc_general.tm-vc_btn3.tm-vc_btn3-style-text.tm-vc_btn3-color-black:hover,
.tm-fid.inside.tm-highlight-fid h4,
.themetechmount-box-events h4 a:not(:hover), .themetechmount-box-events h4,
.tm-sortable-list .tm-sortable-link a,
.tm-comment-owner, .tm-comment-owner a, .comment-meta .tm-comment-owner a,
.wpb-js-composer .vc_tta-color-grey.vc_tta-style-classic .vc_tta-panel .vc_tta-panel-title>a,
.tm-list.tm-icon-black li, .tm-list.tm-black li .tm-list-li-content, .tm-list.tm-icon-black li i, .tm-black,
span.tm-vc_label_units.vc_label_units,
.tm-vc_btn3.tm-vc_btn3-color-black.tm-vc_btn3-style-outline,
.themetechmount-progress-bar.vc_progress_bar .vc_general.vc_single_bar .vc_label,
.main-holder .site-content nav.woocommerce-pagination ul li span, .main-holder .site-content nav.woocommerce-pagination ul li a, .themetechmount-pagination .page-numbers,
.sidebar ul.tm-recent-post-list > li > a,
.tm-sbox .tm-custom-heading a, .entry-header:not(.tm-titlebar) .entry-title > a,
.themetechmount-boxes-row-wrapper .slick-prev:before, .themetechmount-boxes-row-wrapper .slick-next:before,
.inside h3,
.tm-sbox.tm-sbox-bgcolor-skincolor .tm-vc_general.tm-vc_btn3.tm-vc_btn3-style-text.tm-vc_btn3-color-white:hover, .themetechmount-box-blog .themetechmount-blogbox-desc-footer a:hover, .tm-vc_general.tm-vc_btn3.tm-vc_btn3-style-text.tm-vc_btn3-color-skincolor:hover,
.themetechmount-box-events.themetechmount-events-box-style1 h4 a:not(:hover), .themetechmount-box-events.themetechmount-events-box-style1 h4 ,
.wpb-js-composer .vc_tta-color-grey.vc_tta-style-classic .vc_tta-tab>a,
.wpb-js-composer .vc_tta-color-grey.vc_tta-style-classic .vc_tta-tab.vc_active>a,
.tm-sbox .tm-vc_cta3-content-header h2,
.tm-team-details-list .tm-team-list-value a:not(:hover),
.tm-team-details-list .tm-team-list-title,
.tm-team-member-single-title,
.tm-vc_general.tm-vc_cta3.tm-vc_cta3-color-grey.tm-vc_cta3-style-classic .tm-vc_cta3-content-header h2,
.tm-vc_general.tm-vc_cta3.tm-vc_cta3-color-grey.tm-vc_cta3-style-flat .tm-vc_cta3-content-header,
.themetechmount-box-portfolio .themetechmount-box-bottom-content h4 a, 
.tm-publised-in-wrapper span.post-title, .tm-team-member-single-category,
.tm-team-member-single-category a, .tm-team-social-links a,
.tm-bgcolor-darkgrey .themetechmount-team-box-view-overlay .themetechmount-box-title a,
.tm-comment-owner, .tm-comment-owner a,
.comment-reply-link:hover, .testimonial_item .themetechmount-author-name a:hover,
.tm-social-share-wrapper, .themetechmount-pf-detailbox-list .tm-pf-details-date .tm-pf-left-details, 
.tm-tourtab-style1.vc_general.vc_tta-color-grey.vc_tta-style-outline .vc_tta-panel .vc_tta-panel-title>a,
.tm-tourtab-style1.vc_general.vc_tta-tabs.vc_tta-style-outline .vc_tta-tab>a,
.themetechmount-box-team.themetechmount-box-view-top-image .themetechmount-box-content h4 a,
.themetechmount-team-box-view-overlay .themetechmount-box-social-links ul a,
.tm-bgcolor-skincolor .themetechmount-teambox-style2 .themetechmount-box-content h4,
.tm-bgcolor-skincolor .themetechmount-teambox-style2 .themetechmount-box-content h4 a, 
.themetechmount-box-content h4 a, .themetechmount-post-readmore a,
.tm-bgcolor-skincolor .themetechmount-blogbox-footer-readmore a:hover,
.tm-bgcolor-skincolor .themetechmount-box-content h4 a:hover,
.logged-in-as a:hover, .vc_column-inner.tm-col-bgcolor-grey .tm-element-heading-wrapper .tm-vc_general .tm-vc_cta3_content-container .tm-vc_cta3-content .tm-vc_cta3-headers h2, 
.vc_column-inner.tm-col-bgcolor-white .tm-element-heading-wrapper .tm-vc_general .tm-vc_cta3_content-container .tm-vc_cta3-content .tm-vc_cta3-headers h2,
div .vc_row .vc_column-inner .tm-sbox-bgcolor-white.tm-sbox h2,
div .vc_row .vc_column-inner .tm-sbox-bgcolor-grey.tm-sbox h2,
div .vc_row .vc_column-inner.tm-col-bgcolor-white .tm-sbox h2,
div .vc_row .vc_column-inner.tm-col-bgcolor-grey .tm-sbox h2,
.tribe-events-list-separator-month,
.widget.brivona_category_list_widget .widget-title, 
.widget.brivona_category_list_widget li a {
	color:<?php echo esc_attr($blackish_buttoncolor); ?>;	
}

.elementor-element.elementor-widget-button .elementor-size-md.elementor-button,
.tm-getintouch-form .wpcf7-submit,
.themetechmount-iconbox-stylethree .tm-vc_btn3.tm-vc_btn3-style-text.tm-vc_btn3-size-md,
.themetechmount-iconbox-stylethree .tm-vc_btn3.tm-vc_btn3-style-text.tm-vc_btn3-size-md .tm-vc_btn3-icon,
.themetechmount-iconbox-styletwo .tm-vc_btn3.tm-vc_btn3-style-text.tm-vc_btn3-size-md,
.themetechmount-iconbox-styletwo .tm-vc_btn3.tm-vc_btn3-style-text.tm-vc_btn3-size-md .tm-vc_btn3-icon,
.themetechmount-events-box-view-top-image-details .themetechmount-post-readmore a, .themetechmount-box-events .event-box-content .themetechmount-eventbox-footer a,
.post.themetechmount-box-blog-classic .themetechmount-blogbox-footer-readmore a,
.wpcf7 .tm-contactpage-form input[type="submit"],
.tm-make-appoint-form2 input[type="submit"],
.tm-commonform input[type="submit"],
.themetechmount-box-blog .themetechmount-blogbox-desc-footer,
.wpcf7 .tm-contactform input[type="submit"],
.themetechmount-iconbox-styleseven a.tm-vc_general.tm-vc_btn3,
.single-post .tm-post-prev-next-buttons .tm-vc_btn3,
.tm-vc_btn3.tm-vc_btn3-style-text.tm-vc_btn3-size-md,
.tm-vc_btn3.tm-vc_btn3-style-text.tm-vc_btn3-size-md .tm-vc_btn3-icon,
button, input[type="submit"], input[type="button"], input[type="reset"], .checkout_coupon input.button, .woocommerce div.product form.cart .button, table.compare-list .add-to-cart td a, .woocommerce .widget_shopping_cart a.button, .woocommerce #review_form #respond .form-submit input, .main-holder .site table.cart .coupon input, .woocommerce-cart .wc-proceed-to-checkout a.checkout-button, .woocommerce-cart #content table.cart td.actions input[type="submit"], .woocommerce #payment #place_order, .woocommerce .wishlist_table td.product-add-to-cart a,.main-holder .site .return-to-shop a.button,
.woocommerce-cart .wc-proceed-to-checkout a.checkout-button,
.main-holder .site .woocommerce-cart-form__contents button,
.main-holder .site .woocommerce-cart-form__contents button.button:disabled[disabled],
.main-holder .site table.cart .coupon button,	
 .comment-respond .tm-vc_btn3.tm-vc_btn3-shape-square,
.single-tm_portfolio .navigation.post-navigation .nav-links  a,
.tm-vc_btn3.tm-vc_btn3-size-md{
	font-size:<?php echo esc_attr($medium_button_fontsize); ?>px;
	line-height:<?php echo esc_attr($medium_button_fontsize); ?>px;
}

.tm-vc_btn3.tm-vc_btn3-style-text.tm-vc_btn3-size-md .tm-vc_btn3-icon {
	line-height:<?php echo esc_attr($medium_button_fontsize-2); ?>px;
	height:<?php echo esc_attr($medium_button_fontsize); ?>px;
}

.elementor-element.elementor-widget-button .elementor-size-md.elementor-button,
.themetechmount-events-box-view-top-image-details .themetechmount-post-readmore a, .themetechmount-box-events .event-box-content .themetechmount-eventbox-footer a,
.post.themetechmount-box-blog-classic .themetechmount-blogbox-footer-readmore a,
.wpcf7 .tm-contactform input[type="submit"],
.tm-post-prev-next-buttons .tm-vc_btn3.tm-vc_btn3-shape-square,
.comment-respond .tm-vc_btn3.tm-vc_btn3-shape-square,
.tm-single-top-btn .tm-vc_btn3.tm-vc_btn3-shape-square,
.single-post .tm-post-prev-next-buttons .tm-vc_btn3,
.single-tm_portfolio .nav-next a, .single-tm_portfolio .nav-previous a,
.tm-vc_btn3.tm-vc_btn3-size-md{
    padding-top:<?php echo esc_attr($button_topbottom_padding); ?>px;
    padding-bottom:<?php echo esc_attr($button_topbottom_padding); ?>px;
}
.elementor-element.elementor-widget-button.tm-btn-style-outline .elementor-size-md.elementor-button {
	padding-top:<?php echo esc_attr($button_topbottom_padding-1); ?>px;
    padding-bottom:<?php echo esc_attr($button_topbottom_padding-1); ?>px;
}

.single-tm_team_member .tm-commonform input[type="submit"],
.wpcf7 .tm-contactpage-form input[type="submit"],
.tm-make-appoint-form2 input[type="submit"],
.tm-header-text-area .tm-vc_btn3.tm-vc_btn3-size-md {
	padding-top:<?php echo esc_attr($button_topbottom_padding-2); ?>px;
    padding-bottom:<?php echo esc_attr($button_topbottom_padding-2); ?>px;
}
.themetechmount-box-events .themetechmount-meta-date .themetechmount-event-date .entry-month,
.themetechmount-event-meta-dtend, .themetechmount-event-meta-dtstart,
section.error-404 .page-content p,
.themetechmount-events-box-view-top-image-details .themetechmount-post-readmore a,
.themetechmount-box-events .event-box-content .themetechmount-eventbox-footer a,
.tm-search-text strong, .tm-team-details-list .tm-team-list-title, 
.themetechmount-events-box-view-top-image-details .themetechmount-eventbox-footer, 
.themetechmount-box-blog .themetechmount-blogbox-desc-footer a,
#tribe-events-content .tribe-events-read-more, 
#tribe-events-content.tribe-events-single .tribe-events-back a, #tribe-events-content #tribe-events-footer .tribe-events-sub-nav .tribe-events-nav-next a, #tribe-events-content #tribe-events-footer .tribe-events-sub-nav .tribe-events-nav-previous a, #tribe-events .tribe-events-button, .tribe-events-button, #tribe-events-content #tribe-events-header .tribe-events-sub-nav .tribe-events-nav-left a, #tribe-events-content #tribe-events-header .tribe-events-sub-nav .tribe-events-nav-right a, .post.themetechmount-box-blog-classic .themetechmount-blogbox-footer-readmore a, 
.tm-post-prev-next-buttons .tm-vc_btn3.tm-vc_btn3-shape-square,
.comment-respond .tm-vc_btn3.tm-vc_btn3-shape-square, .tm-single-top-btn .tm-vc_btn3.tm-vc_btn3-shape-square,
.tm-comment-owner, .tm-comment-owner a, .comment-meta .tm-comment-owner a, 
.single-tm_portfolio .tm-social-share-title,
.single .themetechmount-box-blog-classic .tm-social-share-wrapper .tm-social-share-title, 
.themetechmount-pf-detailbox-list .tm-pf-details-date .tm-pf-left-details, 
.tm-header-style-classicinfo .tm-phone, .tm-search-overlay .tm-search-outer .tm-form-title,
.single-tm_portfolio .nav-next a, .single-tm_portfolio .nav-previous a, 
.tm-sbox-separator .tm-sbox .tm-vc_cta3-content-header h4,
.themetechmount-box-portfolio .themetechmount-box-content-inner .themetechmount-box-category, .themetechmount-box-portfolio .themetechmount-box-content-inner .themetechmount-box-category a,
.tm-list .tm-list-li-content,
.tm-ptablebox .tm-ptablebox-cur-symbol-after, .tm-ptablebox .tm-ptablebox-cur-symbol-before, .tm-ptablebox .tm-ptablebox-price, .inside h4,
.tm-fid.inside h4, .themetechmount-events-box-view-top-image .themetechmount-meta-date .themetechmount-event-date, .themetechmount-box-blog-classic .tm-box-post-date,
.themetechmount-box-blog .tm-box-post-date {
	font-family:<?php echo esc_attr($special_element_font['family']); ?>;
}

.themetechmount-blog-box-view-style4 .tm-entry-meta .tm-meta-line a:not(:hover),
.themetechmount-events-box-style1 .themetechmount-event-meta-dtend,
.themetechmount-events-box-style1 .themetechmount-teambox-view-style4,
.themetechmount-teambox-view-style4 .themetechmount-meta-details,
.themetechmount-teambox-view-style4 .themetechmount-box-content .themetechmount-team-position {
	color:<?php echo esc_attr($general_font['color']); ?>;	
}


.tribe-events-schedule h2,
.tm-comment-owner, .tm-comment-owner a, .comment-meta .tm-comment-owner a,
.tm-team-details-list .tm-team-list-title,
.entry-header:not(.tm-titlebar) .entry-title, .themetechmount-box-blog .themetechmount-box-content h4,
.themetechmount-box-blog-classic .entry-header:not(.tm-titlebar) .entry-title,
.widget .tm_info_widget .title h3,
.tm-fid.inside h4 {
	font-weight:<?php echo esc_attr($h4_heading_font_fontweight); ?>;
}


.wpcf7 .tm-contactform input[type="submit"],
.themetechmount-box-blog .themetechmount-blogbox-desc-footer,
.tm-post-prev-next-buttons .tm-vc_btn3.tm-vc_btn3-shape-square, .comment-respond .tm-vc_btn3.tm-vc_btn3-shape-square, .tm-single-top-btn .tm-vc_btn3.tm-vc_btn3-shape-square,
.post.themetechmount-box-blog-classic .themetechmount-blogbox-footer-readmore a {
	font-weight:<?php echo esc_attr($button_font_fontweight); ?>;
}

.wpb-js-composer .vc_tta-color-grey.vc_tta-style-classic .vc_tta-panel.vc_active .vc_tta-panel-heading, .wpb-js-composer .vc_tta-color-grey.vc_tta-style-classic .vc_tta-panel .vc_tta-panel-heading:focus, .wpb-js-composer .vc_tta-color-grey.vc_tta-style-classic .vc_tta-panel .vc_tta-panel-heading:hover {
    background-color:<?php echo esc_attr($skincolor); ?>;	
}


.tm-right-meta .tm-social-share-wrapper.tm-social-share-post-wrapper, .tm-entry-meta .tm-meta-line a:not(:hover), .tm-post-cat .tm-meta-line a:not(:hover),
.vc_column-inner.tm-col-bgcolor-grey .tm-element-heading-wrapper .tm-vc_general .tm-vc_cta3_content-container .tm-vc_cta3-content p, .vc_column-inner.tm-col-bgcolor-white .tm-element-heading-wrapper .tm-vc_general .tm-vc_cta3_content-container .tm-vc_cta3-content p, div .vc_row .vc_column-inner .tm-sbox-bgcolor-white.tm-sbox .tm-cta3-description, div .vc_row .vc_column-inner .tm-sbox-bgcolor-grey.tm-sbox .tm-cta3-description, div .vc_row .vc_column-inner.tm-col-bgcolor-white .tm-sbox .tm-cta3-description, div .vc_row .vc_column-inner.tm-col-bgcolor-grey .tm-sbox .tm-cta3-description, .tm-bgcolor-white .vc_row .tm-sbox .tm-cta3-description, .tm-bgcolor-grey .vc_row .tm-sbox .tm-cta3-description {
	color:<?php echo esc_attr($general_font['color']); ?>;	
}


.themetechmount-iconbox-styleone .tm-iocnbox-btn span,
.tm-getintouch-form .wpcf7-submit,
.themetechmount-box-blog.themetechmount-blog-style5 .themetechmount-blogbox-footer-readmore a,
.themetechmount-events-box-view-top-image-details .themetechmount-post-readmore a, .themetechmount-box-events .event-box-content .themetechmount-eventbox-footer a,
.wpcf7 .tm-contactpage-form input[type="submit"],
.comment-form p.form-submit .tm-vc_btn3,
.single-post .tm-post-prev-next-buttons .tm-vc_btn3,
.single-tm_portfolio .nav-next a, .single-tm_portfolio .nav-previous a {
	font-family:<?php echo esc_attr($button_font['family']); ?>;
	font-weight:<?php echo esc_attr($button_font_fontweight); ?>;
	text-transform:<?php echo esc_attr($button_font['text-transform']); ?>;
}
#tribe-events-content .tribe-events-read-more,
#tribe-events-content.tribe-events-single .tribe-events-back a, 
#tribe-events-content #tribe-events-footer .tribe-events-sub-nav .tribe-events-nav-next a,
#tribe-events-content #tribe-events-footer .tribe-events-sub-nav .tribe-events-nav-previous a,
#tribe-events .tribe-events-button, .tribe-events-button, 
#tribe-events-content #tribe-events-header .tribe-events-sub-nav .tribe-events-nav-left a,
#tribe-events-content #tribe-events-header .tribe-events-sub-nav .tribe-events-nav-right a {
	font-family:<?php echo esc_attr($button_font['family']); ?>;
	font-weight:<?php echo esc_attr($button_font_fontweight); ?>;
	text-transform:<?php echo esc_attr($button_font['text-transform']); ?>;	
	padding-top:<?php echo esc_attr($button_topbottom_padding); ?>px;
    padding-bottom:<?php echo esc_attr($button_topbottom_padding); ?>px;
		font-size:<?php echo esc_attr($medium_button_fontsize); ?>px;
	line-height:<?php echo esc_attr($medium_button_fontsize); ?>px;
}


.tm-footer2-left, .tm-footer2-right,
.site-footer .widget_recent_comments li.recentcomments, .site-footer .widget_recent_entries a, .site-footer .widget_meta a, .site-footer .widget_archive li a, .site-footer .widget_pages li a, .site-footer .widget_nav_menu li a,
.woocommerce-account .woocommerce-MyAccount-navigation li a, .widget.tm_widget_nav_menu li a, .widget.brivona_category_list_widget li a,
ul.tm-recent-post-list > li > a {
    font-size:<?php echo esc_attr($general_font['font-size']); ?>px;	
}
.single-tm_portfolio .nav-previous a:after, .single-tm_portfolio .nav-next a:after {
	top:<?php echo esc_attr($button_topbottom_padding - 2); ?>px;
}
.themetechmount-pf-detailbox-list .tm-pf-details-date {
    font-size:<?php echo esc_attr($general_font['font-size']+1); ?>px;
}

.themetechmount-box-portfolio .themetechmount-box-category a,
.themetechmount-boxes-testimonial.themetechmount-boxes-view-slickview .themetechmount-box-footer,
.themetechmount-box-blog-classic .tm-entry-meta .tm-meta-line,
.tm-testimonial-box-view-style3 .themetechmount-box-author .themetechmount-box-footer, .themetechmount-testimonial-box-view-style2 .themetechmount-box-author .themetechmount-box-footer,
ul.tm-recent-post-list > li .post-date,
.themetechmount-blog-style5 .tm-entry-meta-wrapper {
    font-size:<?php echo esc_attr($general_font['font-size']-1); ?>px;
}
.tm-h3general-font .inside h3 span{
	font-family:<?php echo esc_attr($general_font['family']); ?>;	
}
.themetechmount-box-view-top-image .themetechmount-box-category, .themetechmount-box-view-top-image .themetechmount-box-category a {
    margin-top: 0px;
}
.top-contact {
	font-size:<?php echo esc_attr($topbar_text_fontsize); ?>px;
}
.tm-header-overlay .top-contact {
    line-height: 50px;
}

.tm-sresults-title small a,
.tm-ptablebox .tm-vc_btn3-container .tm-vc_btn3.tm-vc_btn3-size-md:not(.tm-vc_btn3-style-text),
.single-tm_team_member .tm-team-member-appointment-btn-wrapper .tm-vc_btn3.tm-vc_btn3-size-md,
.tm-header-style-classic2 .tm-header-icons .tm-header-wc-cart-link a, .tm-header-style-classic2 .tm-header-icons .tm-header-search-link a,
.tm-post-prev-next-buttons .tm-vc_btn3.tm-vc_btn3-shape-square, .comment-respond .tm-vc_btn3.tm-vc_btn3-shape-square, .tm-single-top-btn .tm-vc_btn3.tm-vc_btn3-shape-square,
.wpcf7 .tm-commonform input[type="submit"],
.main-holder .site-content nav.woocommerce-pagination ul li a, .themetechmount-pagination .page-numbers,
.single-tm_portfolio .nav-next a, .single-tm_portfolio .nav-previous a,
.single-tm_portfolio .tm-pf-single-category-w a, .single-post .themetechmount-blogbox-sharebox .themetechmount-tags-links a,
.sidebar .widget .tagcloud a,
#totop.top-visible,
.comment-form input[type="submit"],
.post.themetechmount-box-blog-classic .themetechmount-blogbox-footer-readmore a {
	border-radius:<?php echo esc_attr($global_button_shape); ?>;
}

<?php
if( $blog_readmore_shape =='round'){ ?>
.themetechmount-box-team.themetechmount-teambox-view-style4 .themetechmount-box-social-links a,
.themetechmount-teambox-view-style4 .themetechmount-team-image-box {
	border-radius:5px;
}
.themetechmount-teambox-view-style4 .themetechmount-team-iconbox {
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;	
	border-top-left-radius: 5px;
}
.themetechmount-box-team.themetechmount-teambox-view-style4 .themetechmount-box-content {
	border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}
.themetechmount-boxes-row-wrapper .slick-arrow {
    border-radius: 50px;	
}
.themetechmount-boxes-testimonial.themetechmount-boxes-view-slickview .themetechmount-box-footer {
	padding-top:2px;
}
.tm-header-style-classic2 .tm-header-icons .tm-header-wc-cart-link a, .tm-header-style-classic2 .tm-header-icons .tm-header-search-link a {
    height: 40px;
    width: 40px;
    line-height: 40px;
}
<?php } ?>



.elementor-column.elementor-top-column.tm-col-bgcolor-darkgrey:not(.tm-bgimage-yes) .elementor-widget-wrap>.tm-stretched-div, .elementor-column.elementor-top-column.tm-col-bgcolor-darkgrey:not(.tm-col-stretched-yes)>.elementor-widget-wrap, .elementor-column.elementor-inner-column.tm-col-bgcolor-darkgrey:not(.tm-bgimage-yes)>.elementor-widget-wrap
{
	background-color: <?php echo esc_attr($secondarycolor); ?> !important;
}

.elementor-column.elementor-top-column.tm-col-bgcolor-darkgrey.tm-bgimage-yes .elementor-widget-wrap .tm-stretched-div:before {
    background-color: rgba( <?php echo themetechmount_hex2rgb($secondarycolor); ?>,0.90)!important;
}

.elementor-section.elementor-top-section.tm-bgcolor-darkgrey,
.elementor-section.elementor-top-section.tm-bgcolor-darkgrey:before,
.elementor-section.elementor-inner-section.tm-bgcolor-darkgreys,
.elementor-progress-wrapper {
   background-color: <?php echo esc_attr($secondarycolor); ?>;
}
/***Secondary Grey color***/

.elementor-column.elementor-top-column.tm-col-bgcolor-grey:not(.tm-bgimage-yes) .elementor-widget-wrap>.tm-stretched-div, .elementor-column.elementor-top-column.tm-col-bgcolor-grey:not(.tm-col-stretched-yes)>.elementor-widget-wrap, .elementor-column.elementor-inner-column.tm-col-bgcolor-grey:not(.tm-bgimage-yes)>.elementor-widget-wrap {
	background-color: <?php echo esc_attr($secondarygreycolor); ?> !important;
}
.elementor-column.elementor-top-column.tm-col-bgcolor-grey.tm-bgimage-yes .elementor-widget-wrap .tm-stretched-div:before {
    background-color: rgba( <?php echo themetechmount_hex2rgb($secondarygreycolor); ?>,0.70)!important;
}
.elementor-section.elementor-top-section.tm-bgcolor-grey,
.elementor-section.elementor-top-section.tm-bgcolor-grey:before,
.elementor-section.elementor-inner-section.tm-bgcolor-grey,
.tm-btn-style-flat.tm-btn-color-grey .elementor-button {
   background-color: <?php echo esc_attr($secondarygreycolor); ?>;
}

.elementor-column.elementor-top-column.tm-col-bgcolor-skincolor:not(.tm-bgimage-yes) .elementor-widget-wrap>.tm-stretched-div, .elementor-column.elementor-top-column.tm-col-bgcolor-skincolor:not(.tm-col-stretched-yes)>.elementor-widget-wrap, .elementor-column.elementor-inner-column.tm-col-bgcolor-skincolor:not(.tm-bgimage-yes)>.elementor-widget-wrap
{
	background-color: <?php echo esc_attr($skincolor); ?> !important;
}
.elementor-column.elementor-top-column.tm-col-bgcolor-skincolor.tm-bgimage-yes .elementor-widget-wrap .tm-stretched-div:before {
    background-color: rgba( <?php echo themetechmount_hex2rgb($skincolor); ?>,0.85)!important;
}

.elementor-section.elementor-top-section.tm-bgcolor-skincolor,
.elementor-section.elementor-top-section.tm-bgcolor-skincolor:before,
 .elementor-section.elementor-inner-section.tm-bgcolor-skincolor,
.elementor-widget-progress .elementor-progress-wrapper .elementor-progress-bar{
   background-color: <?php echo esc_attr($skincolor); ?>;
}
.themetechmount-iconbox.themetechmount-iconcolor-skincolor .tm-box-icon i {
	color: <?php echo esc_attr($skincolor); ?>;
}
.themetechmount-iconbox.themetechmount-iconcolor-darkgrey .tm-box-icon i {
	color: <?php echo esc_attr($blackish_buttoncolor); ?>;
}

.tm-btn-style-flat.tm-btn-color-darkgrey .elementor-button,
.tm-btn-style-flat.tm-btn-color-skincolor .elementor-button:hover{
	background-color:<?php echo esc_attr($blackish_buttoncolor); ?>;
}

.themetechmount-iconbox-styleone .tm-iocnbox-btn a:hover,
.themetechmount-iconbox.themetechmount-iconbox-styletwo .tm-iocnbox-btn a:hover,
.tm-btn-style-flat.tm-btn-color-grey .elementor-button,
.tm-btn-style-flat.tm-btn-color-white .elementor-button,
.tm-btn-style-text.tm-btn-color-darkgrey .elementor-button{
	color:<?php echo esc_attr($blackish_buttoncolor); ?>;
}
.tm-btn-style-flat.tm-btn-color-darkgrey.tm-btn-shape-square:not(.tm-btn-style-text).elementor-element.elementor-widget-button .elementor-button-link:before,
.tm-btn-style-flat.tm-btn-color-darkgrey.tm-btn-shape-square:not(.tm-btn-style-text).elementor-element.elementor-widget-button .elementor-button-link:after,

.tm-btn-style-flat.tm-btn-color-skincolor.tm-btn-shape-square:not(.tm-btn-style-text).elementor-element.elementor-widget-button .elementor-button-link:hover:before,
.tm-btn-style-flat.tm-btn-color-skincolor.tm-btn-shape-square:not(.tm-btn-style-text).elementor-element.elementor-widget-button .elementor-button-link:hover:after{
	border-color:<?php echo esc_attr($blackish_buttoncolor); ?>;
}
.themetechmount-iconbox.themetechmount-iconcolor-darkgrey .tm-box-icon i,
.tm-btn-style-outline.tm-btn-color-white .elementor-button:hover,
.tm-btn-style-text.tm-btn-color-skincolor .elementor-button:hover{
	color:<?php echo esc_attr($blackish_buttoncolor); ?>;
}
.tm-btn-style-text.tm-btn-color-grey .elementor-button{
	color:<?php echo esc_attr($secondarygreycolor); ?>;
}
.tm-btn-style-flat.tm-btn-color-grey .elementor-button{
   background-color: <?php echo esc_attr($secondarygreycolor); ?>;
}
.tm-btn-style-outline.tm-btn-color-grey .elementor-button{
	border-color:<?php echo esc_attr($secondarygreycolor); ?> !important;
	color:<?php echo esc_attr($secondarygreycolor); ?>;
}
.tm-btn-style-outline.tm-btn-color-grey .elementor-button:hover{
	color:<?php echo esc_attr($blackish_buttoncolor); ?>;
	background-color:<?php echo esc_attr($secondarygreycolor); ?>;
}
.tm-btn-style-outline.tm-btn-color-skincolor .elementor-button{
	border-color:<?php echo esc_attr($skincolor); ?>;
	color:<?php echo esc_attr($skincolor); ?>;
}
.tm-btn-style-outline.tm-btn-color-skincolor .elementor-button:hover{
	color:#fff;
	background-color:<?php echo esc_attr($skincolor); ?>;
	border-color:<?php echo esc_attr($skincolor); ?>;
}
.tm-btn-style-outline.tm-btn-color-darkgrey .elementor-button{
	border-color:<?php echo esc_attr($blackish_buttoncolor); ?>;
	color:<?php echo esc_attr($blackish_buttoncolor); ?>;
}
.tm-btn-style-outline.tm-btn-color-darkgrey .elementor-button:hover{
	border-color:<?php echo esc_attr($blackish_buttoncolor); ?>;
	color:#fff;
	background-color:<?php echo esc_attr($blackish_buttoncolor); ?>;
}

.themetechmount-iconbox.themetechmount-iconcolor-grey .tm-box-icon i {
    color:<?php echo esc_attr($secondarygreycolor); ?>;
}
.themetechmount-iconbox.themetechmount-icon-bgcolor-grey.tm-iconstyle-outline-boxed .tm-box-icon,
.themetechmount-iconbox.themetechmount-icon-bgcolor-grey.tm-iconstyle-outline-rounded .tm-box-icon,
.themetechmount-iconbox.themetechmount-icon-bgcolor-grey.tm-iconstyle-outline-rounded-less .tm-box-icon {
	border-color: <?php echo esc_attr($secondarygreycolor); ?>;
}
.themetechmount-iconbox.themetechmount-icon-bgcolor-darkgrey.tm-iconstyle-outline-boxed .tm-box-icon,
.themetechmount-iconbox.themetechmount-icon-bgcolor-darkgrey.tm-iconstyle-outline-rounded .tm-box-icon,
.themetechmount-iconbox.themetechmount-icon-bgcolor-darkgrey.tm-iconstyle-outline-rounded-less .tm-box-icon {
	border-color: <?php echo esc_attr($secondarycolor); ?>;
}
.themetechmount-iconbox.themetechmount-icon-bgcolor-darkgrey .tm-box-icon {
	background-color: <?php echo esc_attr($secondarycolor); ?>;	
}

.themetechmount-iconbox.themetechmount-icon-bgcolor-grey .tm-box-icon {
	background-color: <?php echo esc_attr($secondarygreycolor); ?>;	
}
.themetechmount-iconbox.themetechmount-icon-bgcolor-white .tm-box-icon {
	background-color:#fff;	
}
.themetechmount-iconbox.themetechmount-icon-bgcolor-white .tm-box-icon {
    border-color: #fff;
}
.themetechmount-boxes-testimonial.themetechmount-boxes-view-slickview .themetechmount-author-name {
    margin-bottom: -2px;
}
